質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.36%

pipをインストールしたいが'pkg_resources'に関するエラーが出る

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 4,670

pippe

score 15

前提・実現したいこと

よろしくお願いします。
これまでanacondaからpython2(2.7.13),python3(3.6.1)を起動して使っています。今回 tensorFlow をインストールしようとしているが、インストール中に以下のエラーが出現しました。

発生している問題・エラーメッセージ

以下のページ
https://www.tensorflow.org/install/install_mac
に沿ってターミナルにコマンドを入力していたが、上記ページ内の
Installing with virtualenv
にある以下のコードを入力すると

 $ sudo pip install --upgrade virtualenv 


以下のエラーが出ました。

Traceback (most recent call last):
  File "/Users/*username*/anaconda/bin/pip", line 6, in <module>
    from pkg_resources import load_entry_point
ModuleNotFoundError: No module named 'pkg_resources'

試したこと

'pkg_resources'でググってヒットした以下のページで似たような質問があったので試しました。
https://stackoverflow.com/questions/7446187/no-module-named-pkg-resources
以下のコードを打ち込むと

wget https://bootstrap.pypa.io/ez_setup.py -O - | python
curl https://bootstrap.pypa.io/ez_setup.py | python


共に以下のエラーが出ました。

[Errno 13] Permission denied: '/Users/*username*/anaconda/lib/python3.6/site-packages/easy-install.pth'


これ以上はどうすれば良いのかわかりませんでした。

補足情報(言語/FW/ツール等のバージョンなど)

macOS Sierra 10.12.5
プログラミングが全くの初心者なので見当違いなことをしていましたら申し訳ないです。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

0

まず、tensorflowはpython3.5までしか対応していません。
conda createを使って3.5環境を作ってください。

以前に似た解答がありますので、そちらも参考にして下さい。

https://teratail.com/questions/79166

Anacondaのインストール方法

https://www.tensorflow.org/install/install_windows

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/07/05 12:21

    仮想環境のことを調べ直して以下のページを参考に
    http://qiita.com/bohemian916/items/4f0736dcea932a162d9e
    pyenvとpyenv-virtualenvをインストールし直すと、当初の問題は解決しました。

    python3.5の仮想環境でtensorflowをインストールするとうまくいきました。どうも有難うございました。

    キャンセル

0

conda install tensorflow-gpu 

ではないでしょうか?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/07/05 10:41 編集

    回答ありがとうございます。

    conda install tensorflow-gpu
    とコマンドしてみましたが
    PackageNotFoundError: Package missing in current osx-64 channels:
    - tensorflow-gpu
    Close matches found; did you mean one of these?
    tensorflow-gpu: tensorflow
    と出てくるので
    conda install tensorflow
    と代わりにコマンドしました。すると
    libprotobuf: 3.2.0-0
    protobuf: 3.2.0-py36_0
    tensorflow: 1.1.0-np112py36_0
    conda: 4.3.21-py36_0 --> 4.3.22-py36_0
    はインストールされたものの、当初の問題である、
    ModuleNotFoundError: No module named 'pkg_resources'
    は変わりませんでした。

    他にどのような問題が考えられるでしょうか。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.36%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る